Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffPlan

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffPlan

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffPlan extends IdTitle implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Integer>`
  `filterContractLabel`
  `protected int`
  `filterFace`
  `protected String`
  `filterMask`
  `protected boolean`
  `used`
  `protected boolean`
  `useTitleInWeb`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffPlan()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Preferences`
  `getConfigPreferences()`
  `String`
  `getDescription()`
  `List<Integer>`
  `getFilterContractLabelIds()`
  `int`
  `getFilterFace()`
  `String`
  `getFilterMask()`
  `String`
  `getTitleWeb()`
  `boolean`
  `isUsed()`
  `boolean`
  `isUseTitleInWeb()`
  `TariffPlan`
  `setComment(String comment)`
  `TariffPlan`
  `setConfig(String config)`
  `TariffPlan`
  `setDescription(String description)`
  `TariffPlan`
  `setFilterContractLabelIds(List<Integer> filterContractLabel)`
  `TariffPlan`
  `setFilterFace(int filterFace)`
  `TariffPlan`
  `setFilterMask(String filterMask)`
  `TariffPlan`
  `setId(int id)`
  Устанавливает id объекта
  `TariffPlan`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `TariffPlan`
  `setTitleWeb(String titleWeb)`
  `TariffPlan`
  `setUsed(boolean used)`
  `TariffPlan`
  `setUseTitleInWeb(boolean useTitleInWeb)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### filterContractLabel

    protected List<Integer> filterContractLabel

  - ### filterFace

    protected int filterFace

  - ### filterMask

    protected String filterMask

  - ### used

    protected boolean used

  - ### useTitleInWeb

    protected boolean useTitleInWeb

- ## Constructor Details

  - ### TariffPlan

    public TariffPlan()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### getConfigPreferences

    public Preferences getConfigPreferences()

  - ### getDescription

    public String getDescription()

  - ### getFilterContractLabelIds

    public List<Integer> getFilterContractLabelIds()

  - ### getFilterFace

    public int getFilterFace()

  - ### getFilterMask

    public String getFilterMask()

  - ### getTitleWeb

    public String getTitleWeb()

  - ### isUsed

    public boolean isUsed()

  - ### isUseTitleInWeb

    public boolean isUseTitleInWeb()

  - ### setComment

    public TariffPlan setComment(String comment)

  - ### setConfig

    public TariffPlan setConfig(String config)

  - ### setDescription

    public TariffPlan setDescription(String description)

  - ### setFilterContractLabelIds

    public TariffPlan setFilterContractLabelIds(List<Integer> filterContractLabel)

  - ### setFilterFace

    public TariffPlan setFilterFace(int filterFace)

  - ### setFilterMask

    public TariffPlan setFilterMask(String filterMask)

  - ### setId

    public TariffPlan setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public TariffPlan setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTitleWeb

    public TariffPlan setTitleWeb(String titleWeb)

  - ### setUsed

    public TariffPlan setUsed(boolean used)

  - ### setUseTitleInWeb

    public TariffPlan setUseTitleInWeb(boolean useTitleInWeb)